blob: 7797f0b9f43b393138ca80ce38173119c70d7733 [file] [log] [blame]
Param Reddappagari386ce4d2011-10-04 12:15:40 -07001#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8ac_cs_recheck=false
9ac_cs_silent=false
10SHELL=${CONFIG_SHELL-/bin/sh}
11## --------------------- ##
12## M4sh Initialization. ##
13## --------------------- ##
14
15# Be Bourne compatible
16if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17 emulate sh
18 NULLCMD=:
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20 # is contrary to our usage. Disable this feature.
21 alias -g '${1+"$@"}'='"$@"'
22elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23 set -o posix
24fi
25DUALCASE=1; export DUALCASE # for MKS sh
26
27# Support unset when possible.
28if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29 as_unset=unset
30else
31 as_unset=false
32fi
33
34
35# Work around bugs in pre-3.0 UWIN ksh.
36$as_unset ENV MAIL MAILPATH
37PS1='$ '
38PS2='> '
39PS4='+ '
40
41# NLS nuisances.
42for as_var in \
43 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45 LC_TELEPHONE LC_TIME
46do
47 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48 eval $as_var=C; export $as_var
49 else
50 $as_unset $as_var
51 fi
52done
53
54# Required to use basename.
55if expr a : '\(a\)' >/dev/null 2>&1; then
56 as_expr=expr
57else
58 as_expr=false
59fi
60
61if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62 as_basename=basename
63else
64 as_basename=false
65fi
66
67
68# Name of the executable.
69as_me=`$as_basename "$0" ||
70$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71 X"$0" : 'X\(//\)$' \| \
72 X"$0" : 'X\(/\)$' \| \
73 . : '\(.\)' 2>/dev/null ||
74echo X/"$0" |
75 sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76 /^X\/\(\/\/\)$/{ s//\1/; q; }
77 /^X\/\(\/\).*/{ s//\1/; q; }
78 s/.*/./; q'`
79
80
81# PATH needs CR, and LINENO needs CR and PATH.
82# Avoid depending upon Character Ranges.
83as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86as_cr_digits='0123456789'
87as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89# The user is always right.
90if test "${PATH_SEPARATOR+set}" != set; then
91 echo "#! /bin/sh" >conf$$.sh
92 echo "exit 0" >>conf$$.sh
93 chmod +x conf$$.sh
94 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95 PATH_SEPARATOR=';'
96 else
97 PATH_SEPARATOR=:
98 fi
99 rm -f conf$$.sh
100fi
101
102
103 as_lineno_1=$LINENO
104 as_lineno_2=$LINENO
105 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106 test "x$as_lineno_1" != "x$as_lineno_2" &&
107 test "x$as_lineno_3" = "x$as_lineno_2" || {
108 # Find who we are. Look in the path if we contain no path at all
109 # relative or not.
110 case $0 in
111 *[\\/]* ) as_myself=$0 ;;
112 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113for as_dir in $PATH
114do
115 IFS=$as_save_IFS
116 test -z "$as_dir" && as_dir=.
117 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118done
119
120 ;;
121 esac
122 # We did not find ourselves, most probably we were run as `sh COMMAND'
123 # in which case we are not to be found in the path.
124 if test "x$as_myself" = x; then
125 as_myself=$0
126 fi
127 if test ! -f "$as_myself"; then
128 { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130 { (exit 1); exit 1; }; }
131 fi
132 case $CONFIG_SHELL in
133 '')
134 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136do
137 IFS=$as_save_IFS
138 test -z "$as_dir" && as_dir=.
139 for as_base in sh bash ksh sh5; do
140 case $as_dir in
141 /*)
142 if ("$as_dir/$as_base" -c '
143 as_lineno_1=$LINENO
144 as_lineno_2=$LINENO
145 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146 test "x$as_lineno_1" != "x$as_lineno_2" &&
147 test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
148 $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149 $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150 CONFIG_SHELL=$as_dir/$as_base
151 export CONFIG_SHELL
152 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153 fi;;
154 esac
155 done
156done
157;;
158 esac
159
160 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161 # uniformly replaced by the line number. The first 'sed' inserts a
162 # line-number line before each line; the second 'sed' does the real
163 # work. The second script uses 'N' to pair each line-number line
164 # with the numbered line, and appends trailing '-' during
165 # substitution so that $LINENO is not a special case at line end.
166 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
168 sed '=' <$as_myself |
169 sed '
170 N
171 s,$,-,
172 : loop
173 s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174 t loop
175 s,-$,,
176 s,^['$as_cr_digits']*\n,,
177 ' >$as_me.lineno &&
178 chmod +x $as_me.lineno ||
179 { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181 { (exit 1); exit 1; }; }
182
183 # Don't try to exec as it changes $[0], causing all sort of problems
184 # (the dirname of $[0] is not the place where we might find the
185 # original and so on. Autoconf is especially sensible to this).
186 . ./$as_me.lineno
187 # Exit status is that of the last command.
188 exit
189}
190
191
192case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193 *c*,-n*) ECHO_N= ECHO_C='
194' ECHO_T=' ' ;;
195 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196 *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
197esac
198
199if expr a : '\(a\)' >/dev/null 2>&1; then
200 as_expr=expr
201else
202 as_expr=false
203fi
204
205rm -f conf$$ conf$$.exe conf$$.file
206echo >conf$$.file
207if ln -s conf$$.file conf$$ 2>/dev/null; then
208 # We could just check for DJGPP; but this test a) works b) is more generic
209 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210 if test -f conf$$.exe; then
211 # Don't use ln at all; we don't have any links
212 as_ln_s='cp -p'
213 else
214 as_ln_s='ln -s'
215 fi
216elif ln conf$$.file conf$$ 2>/dev/null; then
217 as_ln_s=ln
218else
219 as_ln_s='cp -p'
220fi
221rm -f conf$$ conf$$.exe conf$$.file
222
223if mkdir -p . 2>/dev/null; then
224 as_mkdir_p=:
225else
226 test -d ./-p && rmdir ./-p
227 as_mkdir_p=false
228fi
229
230as_executable_p="test -f"
231
232# Sed expression to map a string onto a valid CPP name.
233as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235# Sed expression to map a string onto a valid variable name.
236as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239# IFS
240# We need space, tab and new line, in precisely that order.
241as_nl='
242'
243IFS=" $as_nl"
244
245# CDPATH.
246$as_unset CDPATH
247
248exec 6>&1
249
250# Open the log real soon, to keep \$[0] and so on meaningful, and to
251# report actual input values of CONFIG_FILES etc. instead of their
252# values after options handling. Logging --version etc. is OK.
253exec 5>>config.log
254{
255 echo
256 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257## Running $as_me. ##
258_ASBOX
259} >&5
260cat >&5 <<_CSEOF
261
262This file was extended by $as_me, which was
263generated by GNU Autoconf 2.59. Invocation command line was
264
265 CONFIG_FILES = $CONFIG_FILES
266 CONFIG_HEADERS = $CONFIG_HEADERS
267 CONFIG_LINKS = $CONFIG_LINKS
268 CONFIG_COMMANDS = $CONFIG_COMMANDS
269 $ $0 $@
270
271_CSEOF
272echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273echo >&5
274config_files=" Makefile crypto/Makefile doc/Makefile"
275config_headers=" crypto/include/config.h:config_in.h"
276
277ac_cs_usage="\
278\`$as_me' instantiates files from templates according to the
279current configuration.
280
281Usage: $0 [OPTIONS] [FILE]...
282
283 -h, --help print this help, then exit
284 -V, --version print version number, then exit
285 -q, --quiet do not print progress messages
286 -d, --debug don't remove temporary files
287 --recheck update $as_me by reconfiguring in the same conditions
288 --file=FILE[:TEMPLATE]
289 instantiate the configuration file FILE
290 --header=FILE[:TEMPLATE]
291 instantiate the configuration header FILE
292
293Configuration files:
294$config_files
295
296Configuration headers:
297$config_headers
298
299Report bugs to <bug-autoconf@gnu.org>."
300ac_cs_version="\
301config.status
302configured by ./configure, generated by GNU Autoconf 2.59,
303 with options \"'--prefix=/home/astor/localastor/google3/third_party/libsrtp/v1_4_2'\"
304
305Copyright (C) 2003 Free Software Foundation, Inc.
306This config.status script is free software; the Free Software Foundation
307gives unlimited permission to copy, distribute and modify it."
308srcdir=.
309INSTALL="/usr/bin/install -c"
310# If no file are specified by the user, then we need to provide default
311# value. By we need to know if files were specified by the user.
312ac_need_defaults=:
313while test $# != 0
314do
315 case $1 in
316 --*=*)
317 ac_option=`expr "x$1" : 'x\([^=]*\)='`
318 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
319 ac_shift=:
320 ;;
321 -*)
322 ac_option=$1
323 ac_optarg=$2
324 ac_shift=shift
325 ;;
326 *) # This is not an option, so the user has probably given explicit
327 # arguments.
328 ac_option=$1
329 ac_need_defaults=false;;
330 esac
331
332 case $ac_option in
333 # Handling of the options.
334 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
335 ac_cs_recheck=: ;;
336 --version | --vers* | -V )
337 echo "$ac_cs_version"; exit 0 ;;
338 --he | --h)
339 # Conflict between --help and --header
340 { { echo "$as_me:$LINENO: error: ambiguous option: $1
341Try \`$0 --help' for more information." >&5
342echo "$as_me: error: ambiguous option: $1
343Try \`$0 --help' for more information." >&2;}
344 { (exit 1); exit 1; }; };;
345 --help | --hel | -h )
346 echo "$ac_cs_usage"; exit 0 ;;
347 --debug | --d* | -d )
348 debug=: ;;
349 --file | --fil | --fi | --f )
350 $ac_shift
351 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
352 ac_need_defaults=false;;
353 --header | --heade | --head | --hea )
354 $ac_shift
355 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
356 ac_need_defaults=false;;
357 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
358 | -silent | --silent | --silen | --sile | --sil | --si | --s)
359 ac_cs_silent=: ;;
360
361 # This is an error.
362 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
363Try \`$0 --help' for more information." >&5
364echo "$as_me: error: unrecognized option: $1
365Try \`$0 --help' for more information." >&2;}
366 { (exit 1); exit 1; }; } ;;
367
368 *) ac_config_targets="$ac_config_targets $1" ;;
369
370 esac
371 shift
372done
373
374ac_configure_extra_args=
375
376if $ac_cs_silent; then
377 exec 6>/dev/null
378 ac_configure_extra_args="$ac_configure_extra_args --silent"
379fi
380
381if $ac_cs_recheck; then
382 echo "running /bin/sh ./configure " '--prefix=/home/astor/localastor/google3/third_party/libsrtp/v1_4_2' $ac_configure_extra_args " --no-create --no-recursion" >&6
383 exec /bin/sh ./configure '--prefix=/home/astor/localastor/google3/third_party/libsrtp/v1_4_2' $ac_configure_extra_args --no-create --no-recursion
384fi
385
386for ac_config_target in $ac_config_targets
387do
388 case "$ac_config_target" in
389 # Handling of arguments.
390 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
391 "crypto/Makefile" ) CONFIG_FILES="$CONFIG_FILES crypto/Makefile" ;;
392 "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
393 "crypto/include/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS crypto/include/config.h:config_in.h" ;;
394 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
395echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
396 { (exit 1); exit 1; }; };;
397 esac
398done
399
400# If the user did not use the arguments to specify the items to instantiate,
401# then the envvar interface is used. Set only those that are not.
402# We use the long form for the default assignment because of an extremely
403# bizarre bug on SunOS 4.1.3.
404if $ac_need_defaults; then
405 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
406 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
407fi
408
409# Have a temporary directory for convenience. Make it in the build tree
410# simply because there is no reason to put it here, and in addition,
411# creating and moving files from /tmp can sometimes cause problems.
412# Create a temporary directory, and hook for its removal unless debugging.
413$debug ||
414{
415 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
416 trap '{ (exit 1); exit 1; }' 1 2 13 15
417}
418
419# Create a (secure) tmp directory for tmp files.
420
421{
422 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
423 test -n "$tmp" && test -d "$tmp"
424} ||
425{
426 tmp=./confstat$$-$RANDOM
427 (umask 077 && mkdir $tmp)
428} ||
429{
430 echo "$me: cannot create a temporary directory in ." >&2
431 { (exit 1); exit 1; }
432}
433
434
435#
436# CONFIG_FILES section.
437#
438
439# No need to generate the scripts if there are no CONFIG_FILES.
440# This happens for instance when ./config.status config.h
441if test -n "$CONFIG_FILES"; then
442 # Protect against being on the right side of a sed subst in config.status.
443 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
444 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
445s,@SHELL@,/bin/sh,;t t
446s,@PATH_SEPARATOR@,:,;t t
447s,@PACKAGE_NAME@,,;t t
448s,@PACKAGE_TARNAME@,,;t t
449s,@PACKAGE_VERSION@,,;t t
450s,@PACKAGE_STRING@,,;t t
451s,@PACKAGE_BUGREPORT@,,;t t
452s,@exec_prefix@,${prefix},;t t
453s,@prefix@,/home/astor/localastor/google3/third_party/libsrtp/v1_4_2,;t t
454s,@program_transform_name@,s,x,x,,;t t
455s,@bindir@,${exec_prefix}/bin,;t t
456s,@sbindir@,${exec_prefix}/sbin,;t t
457s,@libexecdir@,${exec_prefix}/libexec,;t t
458s,@datadir@,${prefix}/share,;t t
459s,@sysconfdir@,${prefix}/etc,;t t
460s,@sharedstatedir@,${prefix}/com,;t t
461s,@localstatedir@,${prefix}/var,;t t
462s,@libdir@,${exec_prefix}/lib,;t t
463s,@includedir@,${prefix}/include,;t t
464s,@oldincludedir@,/usr/include,;t t
465s,@infodir@,${prefix}/info,;t t
466s,@mandir@,${prefix}/man,;t t
467s,@build_alias@,,;t t
468s,@host_alias@,,;t t
469s,@target_alias@,,;t t
470s,@DEFS@,-DHAVE_CONFIG_H,;t t
471s,@ECHO_C@,,;t t
472s,@ECHO_N@,-n,;t t
473s,@ECHO_T@,,;t t
474s,@LIBS@,,;t t
475s,@RANLIB@,ranlib,;t t
476s,@ac_ct_RANLIB@,ranlib,;t t
477s,@CC@,gcc,;t t
478s,@CFLAGS@,-Wall -O4 -fexpensive-optimizations -funroll-loops,;t t
479s,@LDFLAGS@,,;t t
480s,@CPPFLAGS@,,;t t
481s,@ac_ct_CC@,gcc,;t t
482s,@EXEEXT@,,;t t
483s,@OBJEXT@,o,;t t
484s,@INSTALL_PROGRAM@,${INSTALL},;t t
485s,@INSTALL_SCRIPT@,${INSTALL},;t t
486s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
487s,@RNG_OBJS@,rand_source.o,;t t
488s,@CPP@,gcc -E,;t t
489s,@EGREP@,grep -E,;t t
490s,@build@,x86_64-unknown-linux-gnu,;t t
491s,@build_cpu@,x86_64,;t t
492s,@build_vendor@,unknown,;t t
493s,@build_os@,linux-gnu,;t t
494s,@host@,x86_64-unknown-linux-gnu,;t t
495s,@host_cpu@,x86_64,;t t
496s,@host_vendor@,unknown,;t t
497s,@host_os@,linux-gnu,;t t
498s,@EXE@,,;t t
499s,@GDOI_OBJS@,,;t t
500s,@LIBOBJS@,,;t t
501s,@LTLIBOBJS@,,;t t
502CEOF
503
504 # Split the substitutions into bite-sized pieces for seds with
505 # small command number limits, like on Digital OSF/1 and HP-UX.
506 ac_max_sed_lines=48
507 ac_sed_frag=1 # Number of current file.
508 ac_beg=1 # First line for current file.
509 ac_end=$ac_max_sed_lines # Line after last line for current file.
510 ac_more_lines=:
511 ac_sed_cmds=
512 while $ac_more_lines; do
513 if test $ac_beg -gt 1; then
514 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
515 else
516 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
517 fi
518 if test ! -s $tmp/subs.frag; then
519 ac_more_lines=false
520 else
521 # The purpose of the label and of the branching condition is to
522 # speed up the sed processing (if there are no `@' at all, there
523 # is no need to browse any of the substitutions).
524 # These are the two extra sed commands mentioned above.
525 (echo ':t
526 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
527 if test -z "$ac_sed_cmds"; then
528 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
529 else
530 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
531 fi
532 ac_sed_frag=`expr $ac_sed_frag + 1`
533 ac_beg=$ac_end
534 ac_end=`expr $ac_end + $ac_max_sed_lines`
535 fi
536 done
537 if test -z "$ac_sed_cmds"; then
538 ac_sed_cmds=cat
539 fi
540fi # test -n "$CONFIG_FILES"
541
542for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
543 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
544 case $ac_file in
545 - | *:- | *:-:* ) # input from stdin
546 cat >$tmp/stdin
547 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
548 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
549 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
550 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
551 * ) ac_file_in=$ac_file.in ;;
552 esac
553
554 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
555 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
556$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
557 X"$ac_file" : 'X\(//\)[^/]' \| \
558 X"$ac_file" : 'X\(//\)$' \| \
559 X"$ac_file" : 'X\(/\)' \| \
560 . : '\(.\)' 2>/dev/null ||
561echo X"$ac_file" |
562 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
563 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
564 /^X\(\/\/\)$/{ s//\1/; q; }
565 /^X\(\/\).*/{ s//\1/; q; }
566 s/.*/./; q'`
567 { if $as_mkdir_p; then
568 mkdir -p "$ac_dir"
569 else
570 as_dir="$ac_dir"
571 as_dirs=
572 while test ! -d "$as_dir"; do
573 as_dirs="$as_dir $as_dirs"
574 as_dir=`(dirname "$as_dir") 2>/dev/null ||
575$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
576 X"$as_dir" : 'X\(//\)[^/]' \| \
577 X"$as_dir" : 'X\(//\)$' \| \
578 X"$as_dir" : 'X\(/\)' \| \
579 . : '\(.\)' 2>/dev/null ||
580echo X"$as_dir" |
581 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
582 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
583 /^X\(\/\/\)$/{ s//\1/; q; }
584 /^X\(\/\).*/{ s//\1/; q; }
585 s/.*/./; q'`
586 done
587 test ! -n "$as_dirs" || mkdir $as_dirs
588 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
589echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
590 { (exit 1); exit 1; }; }; }
591
592 ac_builddir=.
593
594if test "$ac_dir" != .; then
595 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
596 # A "../" for each directory in $ac_dir_suffix.
597 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
598else
599 ac_dir_suffix= ac_top_builddir=
600fi
601
602case $srcdir in
603 .) # No --srcdir option. We are building in place.
604 ac_srcdir=.
605 if test -z "$ac_top_builddir"; then
606 ac_top_srcdir=.
607 else
608 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
609 fi ;;
610 [\\/]* | ?:[\\/]* ) # Absolute path.
611 ac_srcdir=$srcdir$ac_dir_suffix;
612 ac_top_srcdir=$srcdir ;;
613 *) # Relative path.
614 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
615 ac_top_srcdir=$ac_top_builddir$srcdir ;;
616esac
617
618# Do not use `cd foo && pwd` to compute absolute paths, because
619# the directories may not exist.
620case `pwd` in
621.) ac_abs_builddir="$ac_dir";;
622*)
623 case "$ac_dir" in
624 .) ac_abs_builddir=`pwd`;;
625 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
626 *) ac_abs_builddir=`pwd`/"$ac_dir";;
627 esac;;
628esac
629case $ac_abs_builddir in
630.) ac_abs_top_builddir=${ac_top_builddir}.;;
631*)
632 case ${ac_top_builddir}. in
633 .) ac_abs_top_builddir=$ac_abs_builddir;;
634 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
635 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
636 esac;;
637esac
638case $ac_abs_builddir in
639.) ac_abs_srcdir=$ac_srcdir;;
640*)
641 case $ac_srcdir in
642 .) ac_abs_srcdir=$ac_abs_builddir;;
643 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
644 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
645 esac;;
646esac
647case $ac_abs_builddir in
648.) ac_abs_top_srcdir=$ac_top_srcdir;;
649*)
650 case $ac_top_srcdir in
651 .) ac_abs_top_srcdir=$ac_abs_builddir;;
652 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
653 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
654 esac;;
655esac
656
657
658 case $INSTALL in
659 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
660 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
661 esac
662
663 if test x"$ac_file" != x-; then
664 { echo "$as_me:$LINENO: creating $ac_file" >&5
665echo "$as_me: creating $ac_file" >&6;}
666 rm -f "$ac_file"
667 fi
668 # Let's still pretend it is `configure' which instantiates (i.e., don't
669 # use $as_me), people would be surprised to read:
670 # /* config.h. Generated by config.status. */
671 if test x"$ac_file" = x-; then
672 configure_input=
673 else
674 configure_input="$ac_file. "
675 fi
676 configure_input=$configure_input"Generated from `echo $ac_file_in |
677 sed 's,.*/,,'` by configure."
678
679 # First look for the input files in the build tree, otherwise in the
680 # src tree.
681 ac_file_inputs=`IFS=:
682 for f in $ac_file_in; do
683 case $f in
684 -) echo $tmp/stdin ;;
685 [\\/$]*)
686 # Absolute (can't be DOS-style, as IFS=:)
687 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
688echo "$as_me: error: cannot find input file: $f" >&2;}
689 { (exit 1); exit 1; }; }
690 echo "$f";;
691 *) # Relative
692 if test -f "$f"; then
693 # Build tree
694 echo "$f"
695 elif test -f "$srcdir/$f"; then
696 # Source tree
697 echo "$srcdir/$f"
698 else
699 # /dev/null tree
700 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
701echo "$as_me: error: cannot find input file: $f" >&2;}
702 { (exit 1); exit 1; }; }
703 fi;;
704 esac
705 done` || { (exit 1); exit 1; }
706 sed "/^[ ]*VPATH[ ]*=/{
707s/:*\$(srcdir):*/:/;
708s/:*\${srcdir}:*/:/;
709s/:*@srcdir@:*/:/;
710s/^\([^=]*=[ ]*\):*/\1/;
711s/:*$//;
712s/^[^=]*=[ ]*$//;
713}
714
715:t
716/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
717s,@configure_input@,$configure_input,;t t
718s,@srcdir@,$ac_srcdir,;t t
719s,@abs_srcdir@,$ac_abs_srcdir,;t t
720s,@top_srcdir@,$ac_top_srcdir,;t t
721s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
722s,@builddir@,$ac_builddir,;t t
723s,@abs_builddir@,$ac_abs_builddir,;t t
724s,@top_builddir@,$ac_top_builddir,;t t
725s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
726s,@INSTALL@,$ac_INSTALL,;t t
727" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
728 rm -f $tmp/stdin
729 if test x"$ac_file" != x-; then
730 mv $tmp/out $ac_file
731 else
732 cat $tmp/out
733 rm -f $tmp/out
734 fi
735
736done
737
738#
739# CONFIG_HEADER section.
740#
741
742# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
743# NAME is the cpp macro being defined and VALUE is the value it is being given.
744#
745# ac_d sets the value in "#define NAME VALUE" lines.
746ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
747ac_dB='[ ].*$,\1#\2'
748ac_dC=' '
749ac_dD=',;t'
750# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
751ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
752ac_uB='$,\1#\2define\3'
753ac_uC=' '
754ac_uD=',;t'
755
756for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
757 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
758 case $ac_file in
759 - | *:- | *:-:* ) # input from stdin
760 cat >$tmp/stdin
761 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
762 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
763 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
764 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
765 * ) ac_file_in=$ac_file.in ;;
766 esac
767
768 test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
769echo "$as_me: creating $ac_file" >&6;}
770
771 # First look for the input files in the build tree, otherwise in the
772 # src tree.
773 ac_file_inputs=`IFS=:
774 for f in $ac_file_in; do
775 case $f in
776 -) echo $tmp/stdin ;;
777 [\\/$]*)
778 # Absolute (can't be DOS-style, as IFS=:)
779 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
780echo "$as_me: error: cannot find input file: $f" >&2;}
781 { (exit 1); exit 1; }; }
782 # Do quote $f, to prevent DOS paths from being IFS'd.
783 echo "$f";;
784 *) # Relative
785 if test -f "$f"; then
786 # Build tree
787 echo "$f"
788 elif test -f "$srcdir/$f"; then
789 # Source tree
790 echo "$srcdir/$f"
791 else
792 # /dev/null tree
793 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
794echo "$as_me: error: cannot find input file: $f" >&2;}
795 { (exit 1); exit 1; }; }
796 fi;;
797 esac
798 done` || { (exit 1); exit 1; }
799 # Remove the trailing spaces.
800 sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
801
802 # Handle all the #define templates only if necessary.
803 if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
804 # If there are no defines, we may have an empty if/fi
805 :
806 cat >$tmp/defines.sed <<CEOF
807/^[ ]*#[ ]*define/!b
808t clr
809: clr
810${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
811${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
812${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
813${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
814${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
815${ac_dA}DEV_URANDOM${ac_dB}DEV_URANDOM${ac_dC}"/dev/urandom"${ac_dD}
816${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
817${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
818${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
819${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
820${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
821${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
822${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
823${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
824${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
825${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
826${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
827${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
828${ac_dA}HAVE_BYTESWAP_H${ac_dB}HAVE_BYTESWAP_H${ac_dC}1${ac_dD}
829${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
830${ac_dA}HAVE_SYS_UIO_H${ac_dB}HAVE_SYS_UIO_H${ac_dC}1${ac_dD}
831${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
832${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
833${ac_dA}HAVE_SYS_SOCKET_H${ac_dB}HAVE_SYS_SOCKET_H${ac_dC}1${ac_dD}
834${ac_dA}HAVE_NETINET_IN_H${ac_dB}HAVE_NETINET_IN_H${ac_dC}1${ac_dD}
835${ac_dA}HAVE_ARPA_INET_H${ac_dB}HAVE_ARPA_INET_H${ac_dC}1${ac_dD}
836${ac_dA}HAVE_SYSLOG_H${ac_dB}HAVE_SYSLOG_H${ac_dC}1${ac_dD}
837${ac_dA}HAVE_INT8_T${ac_dB}HAVE_INT8_T${ac_dC}1${ac_dD}
838${ac_dA}HAVE_UINT8_T${ac_dB}HAVE_UINT8_T${ac_dC}1${ac_dD}
839${ac_dA}HAVE_INT16_T${ac_dB}HAVE_INT16_T${ac_dC}1${ac_dD}
840${ac_dA}HAVE_UINT16_T${ac_dB}HAVE_UINT16_T${ac_dC}1${ac_dD}
841${ac_dA}HAVE_INT32_T${ac_dB}HAVE_INT32_T${ac_dC}1${ac_dD}
842${ac_dA}HAVE_UINT32_T${ac_dB}HAVE_UINT32_T${ac_dC}1${ac_dD}
843${ac_dA}HAVE_UINT64_T${ac_dB}HAVE_UINT64_T${ac_dC}1${ac_dD}
844${ac_dA}SIZEOF_UNSIGNED_LONG${ac_dB}SIZEOF_UNSIGNED_LONG${ac_dC}8${ac_dD}
845${ac_dA}SIZEOF_UNSIGNED_LONG_LONG${ac_dB}SIZEOF_UNSIGNED_LONG_LONG${ac_dC}8${ac_dD}
846${ac_dA}HAVE_SOCKET${ac_dB}HAVE_SOCKET${ac_dC}1${ac_dD}
847${ac_dA}HAVE_INET_ATON${ac_dB}HAVE_INET_ATON${ac_dC}1${ac_dD}
848CEOF
849 sed -f $tmp/defines.sed $tmp/in >$tmp/out
850 rm -f $tmp/in
851 mv $tmp/out $tmp/in
852
853 cat >$tmp/defines.sed <<CEOF
854/^[ ]*#[ ]*define/!b
855t clr
856: clr
857${ac_dA}HAVE_USLEEP${ac_dB}HAVE_USLEEP${ac_dC}1${ac_dD}
858${ac_dA}CPU_CISC${ac_dB}CPU_CISC${ac_dC}1${ac_dD}
859${ac_dA}ENABLE_DEBUGGING${ac_dB}ENABLE_DEBUGGING${ac_dC}1${ac_dD}
860${ac_dA}ERR_REPORTING_STDOUT${ac_dB}ERR_REPORTING_STDOUT${ac_dC}1${ac_dD}
861CEOF
862 sed -f $tmp/defines.sed $tmp/in >$tmp/out
863 rm -f $tmp/in
864 mv $tmp/out $tmp/in
865
866 fi # grep
867
868 # Handle all the #undef templates
869 cat >$tmp/undefs.sed <<CEOF
870/^[ ]*#[ ]*undef/!b
871t clr
872: clr
873${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
874${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
875${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
876${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
877${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
878${ac_uA}DEV_URANDOM${ac_uB}DEV_URANDOM${ac_uC}"/dev/urandom"${ac_uD}
879${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
880${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
881${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
882${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
883${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
884${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
885${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
886${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
887${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
888${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
889${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
890${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
891${ac_uA}HAVE_BYTESWAP_H${ac_uB}HAVE_BYTESWAP_H${ac_uC}1${ac_uD}
892${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
893${ac_uA}HAVE_SYS_UIO_H${ac_uB}HAVE_SYS_UIO_H${ac_uC}1${ac_uD}
894${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
895${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
896${ac_uA}HAVE_SYS_SOCKET_H${ac_uB}HAVE_SYS_SOCKET_H${ac_uC}1${ac_uD}
897${ac_uA}HAVE_NETINET_IN_H${ac_uB}HAVE_NETINET_IN_H${ac_uC}1${ac_uD}
898${ac_uA}HAVE_ARPA_INET_H${ac_uB}HAVE_ARPA_INET_H${ac_uC}1${ac_uD}
899${ac_uA}HAVE_SYSLOG_H${ac_uB}HAVE_SYSLOG_H${ac_uC}1${ac_uD}
900${ac_uA}HAVE_INT8_T${ac_uB}HAVE_INT8_T${ac_uC}1${ac_uD}
901${ac_uA}HAVE_UINT8_T${ac_uB}HAVE_UINT8_T${ac_uC}1${ac_uD}
902${ac_uA}HAVE_INT16_T${ac_uB}HAVE_INT16_T${ac_uC}1${ac_uD}
903${ac_uA}HAVE_UINT16_T${ac_uB}HAVE_UINT16_T${ac_uC}1${ac_uD}
904${ac_uA}HAVE_INT32_T${ac_uB}HAVE_INT32_T${ac_uC}1${ac_uD}
905${ac_uA}HAVE_UINT32_T${ac_uB}HAVE_UINT32_T${ac_uC}1${ac_uD}
906${ac_uA}HAVE_UINT64_T${ac_uB}HAVE_UINT64_T${ac_uC}1${ac_uD}
907${ac_uA}SIZEOF_UNSIGNED_LONG${ac_uB}SIZEOF_UNSIGNED_LONG${ac_uC}8${ac_uD}
908${ac_uA}SIZEOF_UNSIGNED_LONG_LONG${ac_uB}SIZEOF_UNSIGNED_LONG_LONG${ac_uC}8${ac_uD}
909${ac_uA}HAVE_SOCKET${ac_uB}HAVE_SOCKET${ac_uC}1${ac_uD}
910${ac_uA}HAVE_INET_ATON${ac_uB}HAVE_INET_ATON${ac_uC}1${ac_uD}
911CEOF
912 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
913 rm -f $tmp/in
914 mv $tmp/out $tmp/in
915
916 cat >$tmp/undefs.sed <<CEOF
917/^[ ]*#[ ]*undef/!b
918t clr
919: clr
920${ac_uA}HAVE_USLEEP${ac_uB}HAVE_USLEEP${ac_uC}1${ac_uD}
921${ac_uA}CPU_CISC${ac_uB}CPU_CISC${ac_uC}1${ac_uD}
922${ac_uA}ENABLE_DEBUGGING${ac_uB}ENABLE_DEBUGGING${ac_uC}1${ac_uD}
923${ac_uA}ERR_REPORTING_STDOUT${ac_uB}ERR_REPORTING_STDOUT${ac_uC}1${ac_uD}
924s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
925CEOF
926 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
927 rm -f $tmp/in
928 mv $tmp/out $tmp/in
929
930 # Let's still pretend it is `configure' which instantiates (i.e., don't
931 # use $as_me), people would be surprised to read:
932 # /* config.h. Generated by config.status. */
933 if test x"$ac_file" = x-; then
934 echo "/* Generated by configure. */" >$tmp/config.h
935 else
936 echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
937 fi
938 cat $tmp/in >>$tmp/config.h
939 rm -f $tmp/in
940 if test x"$ac_file" != x-; then
941 if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
942 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
943echo "$as_me: $ac_file is unchanged" >&6;}
944 else
945 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
946$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
947 X"$ac_file" : 'X\(//\)[^/]' \| \
948 X"$ac_file" : 'X\(//\)$' \| \
949 X"$ac_file" : 'X\(/\)' \| \
950 . : '\(.\)' 2>/dev/null ||
951echo X"$ac_file" |
952 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
953 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
954 /^X\(\/\/\)$/{ s//\1/; q; }
955 /^X\(\/\).*/{ s//\1/; q; }
956 s/.*/./; q'`
957 { if $as_mkdir_p; then
958 mkdir -p "$ac_dir"
959 else
960 as_dir="$ac_dir"
961 as_dirs=
962 while test ! -d "$as_dir"; do
963 as_dirs="$as_dir $as_dirs"
964 as_dir=`(dirname "$as_dir") 2>/dev/null ||
965$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
966 X"$as_dir" : 'X\(//\)[^/]' \| \
967 X"$as_dir" : 'X\(//\)$' \| \
968 X"$as_dir" : 'X\(/\)' \| \
969 . : '\(.\)' 2>/dev/null ||
970echo X"$as_dir" |
971 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
972 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
973 /^X\(\/\/\)$/{ s//\1/; q; }
974 /^X\(\/\).*/{ s//\1/; q; }
975 s/.*/./; q'`
976 done
977 test ! -n "$as_dirs" || mkdir $as_dirs
978 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
979echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
980 { (exit 1); exit 1; }; }; }
981
982 rm -f $ac_file
983 mv $tmp/config.h $ac_file
984 fi
985 else
986 cat $tmp/config.h
987 rm -f $tmp/config.h
988 fi
989done
990
991{ (exit 0); exit 0; }